commit: 8c981767c9b1e587654a5e3dd67b3633a5bff6fe
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 12 22:32:37 2018 +0000
Commit: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Dec 12 22:32:37 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c981767
dev-python/python-glanceclient: 2.13.1 bump
Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>
dev-python/python-glanceclient/Manifest | 1 +
.../python-glanceclient-2.13.1.ebuild | 78 ++++++++++++++++++++++
2 files changed, 79 insertions(+)
diff --git a/dev-python/python-glanceclient/Manifest
b/dev-python/python-glanceclient/Manifest
index f93f773286d..717784e5d51 100644
--- a/dev-python/python-glanceclient/Manifest
+++ b/dev-python/python-glanceclient/Manifest
@@ -1 +1,2 @@
DIST python-glanceclient-2.13.0.tar.gz 185962 BLAKE2B
a0e1453124c199855a16843aac4155627f6e8070a5c5acb947e10147492d8f12514085d28cb060cf5f8577a60ab14c79104d1453947e71c2cd03f9c54d3e008c
SHA512
e8a1551bc427c07e12bc869ee09cf5e11916c7ebbb09b924d765f682010d19c4467f3dc71b1839287dc83eb15841b05598e893cc718dfd6a4882340aa7a10c76
+DIST python-glanceclient-2.13.1.tar.gz 187298 BLAKE2B
e2fa34ea7840404e183fbb77592f656b296d54942581b2e1dda71285f791cf7f7d5b3b6ef2da28deb4e314f1d35395548e923f548854b7ad3ef4aa50ad000d62
SHA512
deb8454aea8b2c231604663fac2f6515e3cd6e86dc1cf3cd2174ba2e35f9d605bf162f5a089d80f52da11f97c540f5c160b96864b85d7535463ec170cba81689
diff --git a/dev-python/python-glanceclient/python-glanceclient-2.13.1.ebuild
b/dev-python/python-glanceclient/python-glanceclient-2.13.1.ebuild
new file mode 100644
index 00000000000..0fec31bc89f
--- /dev/null
+++ b/dev-python/python-glanceclient/python-glanceclient-2.13.1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Glance API"
+HOMEPAGE="https://github.com/openstack/python-glanceclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+REQUIRED_USE="test? ( doc )"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/stestr-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+ !~dev-python/coverage-4.4[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/ordereddict-1.1[$(python_gen_usedep 'python2_7')]
+ >=dev-python/os-client-config-1.28.0[${PYTHON_USEDEP}]
+ >=dev-python/openstackdocstheme-1.18.1[${PYTHON_USEDEP}]
+ >=dev-python/reno-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ )
+ doc? (
+ >=dev-python/openstackdocstheme-1.18.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.6.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.6.6[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+ <dev-python/prettytable-0.8[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-3.6.2[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/warlock-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/warlock-2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/wrapt-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-17.1.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ sed -e 's:intersphinx_mapping:_&:' -i doc/source/conf.py || die
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && esetup.py build_sphinx
+}
+
+python_test() {
+ testr init
+ testr run || die "testsuite failed under python2.7"
+ flake8 tests && einfo "run flake8 over tests folder passed" || die
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+ distutils-r1_python_install_all
+}